From 6f5a15e4c1a466dcc17bb2d64ef28842c4f7a000 Mon Sep 17 00:00:00 2001
From: Arjan Molenaar <gaphor@gmail.com>
Date: Sun, 17 Sep 2023 22:39:29 +0200
Subject: [PATCH] Fix tests when no GTK3 is installed

The Atk module was not used, yet imported. Atk is not a GTK 4 module.
---
 tests/test_atoms.py | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/tests/test_atoms.py b/tests/test_atoms.py
index a74db38ce..febff78c1 100644
--- a/tests/test_atoms.py
+++ b/tests/test_atoms.py
@@ -2,10 +2,9 @@ import os
 import unittest
 
 try:
-    from gi.repository import Gtk, Atk, Gdk
+    from gi.repository import Gtk, Gdk
 except ImportError:
     Gdk = None
-    Atk = None
     Gtk = None
 
 from .helper import capture_glib_deprecation_warnings
-- 
GitLab

